Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.factory
Class MLMethodFactory

    java.lang.Object
      org.encog.ml.factory.MLMethodFactory

    public class MLMethodFactory

extends Object

This factory is used to create machine learning methods.

Field Summary
`static String` | `TYPE_FEEDFORWARD` String constant for feedforward neural networks.
`static String` | `TYPE_PNN` A probabilistic neural network.
`static String` | `TYPE_RBFNETWORK` String constant for RBF neural networks.
`static String` | `TYPE_SOM` String constant for SOMs.
`static String` | `TYPE_SVM` String constant for support vector machines.

Constructor Summary
`MLMethodFactory()`

Method Summary
`MLMethod` | `create(String methodType, String architecture, int input, int output)` Create a new machine learning method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_FEEDFORWARD

    public static final String TYPE_FEEDFORWARD

  String constant for feedforward neural networks.

  See Also:
    Constant Field Values

### TYPE_RBFNETWORK

    public static final String TYPE_RBFNETWORK

  String constant for RBF neural networks.

  See Also:
    Constant Field Values

### TYPE_SVM

    public static final String TYPE_SVM

  String constant for support vector machines.

  See Also:
    Constant Field Values

### TYPE_SOM

    public static final String TYPE_SOM

  String constant for SOMs.

  See Also:
    Constant Field Values

### TYPE_PNN

    public static final String TYPE_PNN

  A probabilistic neural network. Supports both PNN & GRNN.

  See Also:
    Constant Field Values

Constructor Detail

### MLMethodFactory

    public MLMethodFactory()

Method Detail

### create

    public final MLMethod create(String methodType,
                                 String architecture,
                                 int input,
                                 int output)

  Create a new machine learning method.

  Parameters:
    `methodType` - The method to create.
    `architecture` - The architecture string.
    `input` - The input count.
    `output` - The output count.
  Returns:
    The newly created machine learning method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.